%def_with oss
%def_with alsa
%def_with gconf
%def_with avahi
%def_with jack
%def_with asyncns
%def_with tcpwrap
%def_with lirc
%def_with hal

%add_findprov_lib_path %_libdir/pulse-0.9/modules

Name: pulseaudio
Version: 0.9.5
Release: alt5.M40.0

Summary: PulseAudio is a networked sound server
Group: System/Servers
License: LGPL
Url: http://pulseaudio.org/

Source0: %name-%version.tar.bz2

BuildRequires: doxygen libcap-devel libltdl-devel liboil-devel libsamplerate-devel libSM-devel libsndfile-devel libX11-devel
%{?_with_alsa:BuildRequires: libalsa-devel}
%{?_with_jack:BuildRequires: jackit-devel}
%{?_with_asyncns:BuildRequires: libasyncns-devel}
%{?_with_avahi:BuildRequires: libavahi-devel}
%{?_with_gconf:BuildRequires: libGConf-devel}
%{?_with_hal:BuildRequires: libhal-devel}
%{?_with_lirc:BuildRequires: liblirc-devel}
%{?_with_tcpwrap:BuildRequires: libwrap-devel}

Requires: %name-utils = %version-%release
Requires: %name-daemon = %version-%release
Requires: %name-gconf = %version-%release

Provides: polypaudio = %version
Obsoletes: polypaudio

%description
PulseAudio is a networked sound server, similar in theory to the Enlightened
Sound Daemon (EsounD). PulseAudio is however much more advanced and has
numerous features.

A sound server can serve many functions:

* Software mixing of multiple audio streams, bypassing any restrictions the
hardware has.

* Network transparency, allowing an application to play back or record audio
on a different machine than the one it is running on.

* Sound API abstraction, alleviating the need for multiple backends in
applications to handle the wide diversity of sound systems out there.

* Generic hardware abstraction, giving the possibility of doing things like
individual volumes per application.

Features:

* Library licensed under LGPL and server daemon under GPL
* Extensible plugin architecture (by loading dynamic loadable modules with dlopen())
* Support for static linking of modules, allowing a single binary for all your needs
* Module autoloading
* Support for more than one sink/source
* Good low latency behaviour
* Very accurate latency measurement for playback and recording.
* Client side latency interpolation
* Embedabble into other software (the core is available as C library)
* Completely asynchronous C API, complemented by two synchronous variants for
  simple use in synchronous applications
* Simple command line interface for reconfiguring the daemon while running
* Flexible, implicit sample type conversion and resampling
* "Zero-Copy" architecture
* May be used to combine multiple sound cards to one (with sample rate adjustment)
* Ability to fully synchronize multiple playback streams 

This virtual package contains pulseaudio daemon and utilities.

%package utils
Summary: PulseAudio client side utilities
Group: Sound

%package daemon
Summary: PulseAudio daemon
Group: Sound
PreReq: shadow-utils control

%package gconf
Summary: PulseAudio -- gnome-related part
Group: Sound

%package -n lib%name
Summary: PulseAudio shared libraries
Group: System/Libraries
Provides: libpolypaudio = %version
Obsoletes: libpolypaudio

%package -n lib%name-devel
Summary: Development files for %name
Group: Development/C
Requires: lib%name = %version-%release
Provides: libpolypaudio-devel = %version
Obsoletes: libpolypaudio-devel

%package -n lib%name-devel-doc
Summary: Development documentation for %name
Group: Development/C
Provides: libpolypaudio-devel-doc = %version
Obsoletes: libpolypaudio-devel-doc

%description daemon
PulseAudio is a networked sound server, similar in theory to the Enlightened
Sound Daemon (EsounD). PulseAudio is however much more advanced and has
numerous features.

This package contains PulseAudio daemon.

%description utils
PulseAudio is a networked sound server, similar in theory to the Enlightened
Sound Daemon (EsounD). PulseAudio is however much more advanced and has
numerous features.

This package contains PulseAudio client-side utilities.

%description gconf
PulseAudio is a networked sound server, similar in theory to the Enlightened
Sound Daemon (EsounD). PulseAudio is however much more advanced and has
numerous features.

This package contains gnome-related part of PulseAudio.

%description -n lib%name
PulseAudio is a networked sound server, similar in theory to the Enlightened
Sound Daemon (EsounD). PulseAudio is however much more advanced and has
numerous features.

This package contains the pulseaudio shared libraries.

%description -n lib%name-devel
PulseAudio is a networked sound server, similar in theory to the Enlightened
Sound Daemon (EsounD). PulseAudio is however much more advanced and has
numerous features.

This package contains development files for pulseaudio.

%description -n lib%name-devel-doc
PulseAudio is a networked sound server, similar in theory to the Enlightened
Sound Daemon (EsounD). PulseAudio is however much more advanced and has
numerous features.

This package contains doxygen documentation for pulseaudio.

%prep
%setup -c

%build
%__autoreconf
%configure \
    %{subst_with oss} \
    %{subst_with alsa} \
    %{subst_with gconf} \
    %{subst_with avahi} \
    %{subst_with jack} \
    %{subst_with asyncns} \
    %{subst_with tcpwrap} \
    %{subst_with lirc} \
    %{subst_with hal} \
    --disable-static \
    #

%make_build all doxygen

%install
%make_install DESTDIR=%buildroot install
install -pm0755 -D pulseaudio.control %buildroot%_sysconfdir/control.d/facilities/pulseaudio
chmod 0755 %buildroot%_bindir/pulseaudio

find %buildroot%_libdir -name \*.la -delete

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%pre daemon
%_sbindir/groupadd -r -f realtime &> /dev/null
[ $1 -eq 1 ] || /usr/sbin/control-dump pulseaudio

%post daemon
[ $1 -eq 1 ] || /usr/sbin/control-restore pulseaudio

%files

%files daemon
%dir %_sysconfdir/pulse
%config %_sysconfdir/control.d/facilities/pulseaudio
%config(noreplace) %_sysconfdir/pulse/daemon.conf
%config(noreplace) %_sysconfdir/pulse/default.pa
%_bindir/pulseaudio
%_bindir/esdcompat
%_libdir/libpulsecore.so.*
%_libdir/pulse-0.9/modules/*.so
%{?_with_gconf:%exclude %_libdir/pulse-0.9/modules/module-gconf.so}

%files utils
%_bindir/pabrowse
%_bindir/pacat
%_bindir/pacmd
%_bindir/pactl
%_bindir/padsp
%_bindir/paplay   
%_bindir/parec
%_bindir/pax11publish
%_libdir/libpulsedsp.so

%if_with gconf
%files gconf
%_libexecdir/pulse/gconf-helper
%_libdir/pulse-0.9/modules/module-gconf.so
%endif

%files -n lib%name
%doc LICENSE README todo
%dir %_sysconfdir/pulse
%config(noreplace) %_sysconfdir/pulse/client.conf
%_libdir/libpulse.so.*
%_libdir/libpulse-browse.so.*
%_libdir/libpulse-simple.so.*
%_libdir/libpulse-mainloop-glib.so.*

%files -n lib%name-devel
%_libdir/lib*.so
%dir %_includedir/pulse/
%_includedir/pulse/*.h
%dir %_includedir/pulsecore/
%_includedir/pulsecore/*.h
%_pkgconfigdir/*.pc

%files -n lib%name-devel-doc
%doc doxygen/html

%changelog
* Tue May 29 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.9.5-alt5.M40.0
- CVE-2007-1804 fixed, (#11335)
- control facility added
- use alsa defaults instead of relying on hal

* Sat Jan 13 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.9.5-alt5
- subpackages rearranged: daemon, utils & gconf subpackages
  appeared instead of all-in-one pulseaudio (#10218)

* Mon Dec 25 2006 Igor Zubkov <icesik@altlinux.org> 0.9.5-alt4
- rebuild with new dbus

* Tue Oct 31 2006 Igor Zubkov <icesik@altlinux.org> 0.9.5-alt3
- mv /etc/pulse/client.conf from pulseaudio to libpulseaudio (#10219)

* Tue Oct 10 2006 Igor Zubkov <icesik@altlinux.ru> 0.9.5-alt2
- add Obsoletes
  + polypaudio to pulseaudio subpackage
  + libpolypaudio to libpulseaudio subpackage
  + libpolypaudio-devel to libpulseaudio-devel subpackage
  + libpolypaudio-devel-doc to libpulseaudio-devel-doc subpackage
- add Provides
  + polypaudio = %%version to pulseaudio subpackage
  + libpolypaudio = %%version to libpulseaudio subpackage
  + libpolypaudio-devel = %%version to libpulseaudio-devel subpackage
  + libpolypaudio-devel-doc = %%version to libpulseaudio-devel-doc subpackage

* Fri Sep 01 2006 Igor Zubkov <icesik@altlinux.org> 0.9.5-alt1
- 0.9.3 -> 0.9.5
- buildreq

* Fri Jul 21 2006 Igor Zubkov <icesik@altlinux.ru> 0.9.3-alt1
- 0.9.3
- rename polypaudio to pulseaudio (without obsoletes, will be added later)
- buildreq

* Sun Jun 25 2006 Igor Zubkov <icesik@altlinux.ru> 0.9.1-alt1
- 0.9.1
- patch2 removed (merged in upstream)
- no API or ABI changes were made
- exclude %%_libdir/polypaudio-0.9/modules/*.la

* Mon May 29 2006 Igor Zubkov <icesik@altlinux.ru> 0.9.0-alt1
- 0.9.0
- build with libhowl
- buildreq

* Fri Apr 28 2006 Igor Zubkov <icesik@altlinux.ru> 0.8.1-alt1
- 0.8.1
- patch1 removed (merged in upstream)
- buildreq
- build with libasyncns

* Wed Apr 26 2006 Igor Zubkov <icesik@altlinux.ru> 0.8-alt3
- move back .la files

* Sat Apr 22 2006 Igor Zubkov <icesik@altlinux.ru> 0.8-alt2
- fix unresolved symbols (patch1)

* Fri Apr 21 2006 Igor Zubkov <icesik@altlinux.ru> 0.8-alt1
- 0.8
- #9358
- buildreq

* Thu Feb 02 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.7-alt2.1
- Rebuilt for new pkg-config dependencies.

* Fri Dec 16 2005 Igor Zubkov <icesik@altlinux.ru> 0.7-alt2
- fix provides/requires

* Tue Nov 15 2005 Igor Zubkov <icesik@altlinux.ru> 0.7-alt1
- Initial build for Sisyphus
